/*----all-providers-search-tariffs"------------------  */
/* ---------- Директория all-providers -----------------------------*/
.providers .all-providers {
  margin-top: 75px;
  margin-bottom: 67px;
}
.providers-house.all-providers {
  margin-bottom: 51px;
}
.all-providers h2 {
  text-align: center;
}
.all-providers .title-text {
  padding-top: 21px;
  margin-bottom: 62px;
}
.providers-house.all-providers .title-text {
  font-size: 18px;
  font-weight: 600;
  line-height: 22px;
  padding-top: 16px;
  margin-bottom: 36px;
  color: var(--color-text-def);
  text-align: center;
}
.providers-house.all-providers .title-text > span {
  color: var(--color-blue-button);
}
.all-providers-container {
  display: flex;
  justify-content: space-between;
}
.providers-house .all-providers-tariffs {
  margin-right: 20px;
  flex-shrink: 1;
  flex-grow: 1;
}
.calculator-adapt-wrap {
  display: none;
  align-items: center;
  justify-content: space-between;
  background: var(--color-yellow);
  border-radius: 5px;
  padding: 10px 24px;
  margin: 20px 0;
}
.calculator-adapt-wrap p {
  font-size: 16px;
  font-weight: 600;
  line-height: 24px;
  color: var(--color-blue);
}
/* ------calculator------------------------- */
.calculator-container {
  width: 280px;
  height: 714px;
  padding: 27px 17px 31px 16px;
  background: var(--color-yellow);
  border-radius: 5px;
  margin-right: 21px;
  justify-content: space-between;
}
.providers-house .calculator-container {
  margin-right: 0;
  height: 577px;
}

.calculator-container h3,
.title-adapt {
  font-size: 20px;
  font-weight: 600;
  line-height: 26px;
  margin-bottom: 20px;
}
.title-adapt {
  display: none;
  margin-bottom: 25px;
}
.calculator__choose {
  margin-bottom: 25px;
}
.choose-address,
.choose-home,
.choose-where,
.choose-service {
  position: relative;
}
.choose-address input,
.choose-home input,
.choose-where,
.choose-service {
  display: inline-block;
  height: 56px;
  width: 100%;
  background: var(--color-white);
  border-radius: 5px;
  padding: 19px;
  margin-bottom: 12px;
}
.choose-service {
  margin-bottom: 0;
}
.choose-address input::placeholder,
.choose-home input::placeholder,
.choose-where,
.choose-service {
  font-weight: 400;
  font-size: 15px;
  line-height: 16px;
  color: var(--color-text-gray1);
}
.choose-address::before {
  content: url(/img/providers/map-pin-blue.png);
  position: absolute;
  top: 16px;
  right: 16px;
}
.choose-rating,
.choose-price {
  position: relative;
  display: inline-block;
  width: 258px;
  height: 56px;
  font-size: 14px;
  font-weight: 400;
  line-height: 17px;
  background: var(--color-white);
  border: 1px solid var(--color-blue-button);
  border-radius: 4px;
  padding: 19px 16px;
}
.providers-house .choose-rating,
.providers-house .choose-price, .providers-house .choose-providers {
  max-width: 308px;
  width: 100%;
  font-size: 15px;
  padding: 15px 16px;
}
.providers-house .choose-providers {
  margin-right: 22px;
}
.list-all-tariffs .choose-rating
 {
  margin-right: 20px;
}
.choose-rating .selection-rotate .choose__heading::after,
.selection-rotate .choose__heading::after {
  transform: rotate(180deg);
}
.choose-rating .choose__heading::after,
.choose-price .choose__heading::after {
  content: url(/img/providers/arrow_bottom.png);
  position: absolute;
  right: 23.5px;
  transition: 0.7s ease;
}
.providers-house .choose-rating .choose__heading::after,
.choose-price .choose__heading::after {
  content: url(/img/providers/arrow_down_blue.png);
}

.choose__heading._arrow::after {
  content: url(/img/providers/arrow_bottom.png);
  position: absolute;
  right: 23.5px;
  transition: 0.7s ease;
}
.choose__body,
.choose-address__body {
  display: none;
  position: absolute;
  top: 55px;
  left: 0;
  width: 100%;
  background: var(--color-white);
  border: 1px solid var(--color-text-gray3);
  box-shadow: 0px 4px 32px rgb(122 127 175 / 25%);
  border-radius: 0px 0px 4px 4px;
  z-index: 10;
}
.choose__body__item,
.choose-address__body__item {
  width: 100%;
  position: relative;
  padding: 20px 16px;
  cursor: pointer;
  border-bottom: 1px solid #ecf0f4;
}
.choose__body__item input {
  display: none;
}
.choose-address__body__item {
  padding: 13px 14px 7px;
}
.choose__body__item:last-child,
.choose-address__body__item:last-child {
  border-bottom: 0;
}
.choose-address__body__item h4 {
  font-size: 15px;
  font-weight: 500;
  line-height: 16px;
}
.choose-address__body__item span {
  font-size: 12px;
  font-weight: 500;
  line-height: 16px;
  color: var(--color-text-gray1);
}
.choose-home .choose__body__item {
  padding: 19px 26px 16px;
  font-weight: 500;
  color: #000000;
}
.choose-where .choose__body__item._choice label::after {
  content: url(/img/providers/arrow_square_out.png);
  position: absolute;
  display: block;
  top: 50%;
  right: 16px;
  transform: translate(0, -50%);
}
.choose-service .choose__body__item._choice label::after,
.choose-providers .choose__body__item._choice label::after {
  content: "";
  display: block;
  position: absolute;
  top: 50%;
  right: 16px;
  transform: translate(0, -50%);
  width: 28px;
  height: 28px;
  border: 1px solid var(--color-text-gray3);
  border-radius: 4px;
  cursor: pointer;
}
.choose-service .choose__body__item._choice label::before,
.choose-providers .choose__body__item._choice label::before {
  content: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAA8AAAANCAYAAAB2HjRBAAAACXBIWXMAAAsTAAALEwEAmpwYAAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAACHSURBVHgBlZLRCcAgDEQzgiM4QjdqN7GjdKOO4Aj+i5om0EIaLTUHQQh5JxcCYFQpuCHiClYRFFpD5DIZSNAE86AEa8VjCswZFwlSnVMg/ehpOAkwUs91WfgdgFGB/uWulhBu0CkwdSCLwu/agHPJHuf+zKYNZPFRwJ9GBtyDWUkDE/jIcrsXHAEa8tNRdXUAAAAASUVORK5CYII=');
  position: absolute;
  display: none;
  top: 50%;
  right: 23px;
  transform: translate(0, -50%);
  width: 15px;
  height: 15px;
  z-index: 10;
}
.choose-service .choose__body__item._choice input:checked ~ label::after {
  background: var(--color-blue-button);
}
.choose-providers .choose__body__item._choice input:checked ~ label::after {
  background: var(--color-blue-button);
}

.choose-service .choose__body__item._choice input:checked ~ label::before {
  display: block;
  z-index: 10;
}
.choose-providers .choose__body__item._choice input:checked ~ label::before {
  display: block;
  z-index: 11;
}

.all-providers-tariffs__filter {
  position: relative;
  display: flex;
  padding: 38px 90px 29px 18px;
  background: var(--color-bg2);
  border-radius: 6px;
  margin-bottom: 30px;
}
.providers-house .all-providers-tariffs__filter {
  justify-content: center;
  padding: 28px 16px;
  margin-bottom: 36px;
}
.list-all-tariffs .all-providers-tariffs__filter {
  margin-bottom: 20px;
}
.all-providers-tariffs__filter ul {
  height: 56px;
  display: flex;
  align-items: center;
  background: var(--color-white);
  border: 1px solid var(--color-blue-button);
  border-radius: 4px;
  margin-right: 16px;
}
.all-providers-tariffs__filter ul > li {
  width: 180px;
  font-size: 14px;
  font-weight: 500;
  line-height: 20px;
  text-transform: uppercase;
  text-align: center;
  padding: 17px 0;
  transition: 0.7s ease;
}
.all-providers-tariffs__filter ul > li:nth-child(3) {
  width: 135px;
}
.all-providers-tariffs__filter ul > li:hover {
  color: var(--color-white);
  background: var(--color-blue-button);
  border-radius: 6px;
  transform: scale(1.03);
}
.choose-rating .choose__body {
  display: none;
  position: absolute;
  top: 55px;
  left: 0;
  width: 100%;
  background: var(--color-white);
  border: 1px solid var(--color-text-gray3);
  box-shadow: 0px 4px 32px rgb(122 127 175 / 25%);
  border-radius: 0px 0px 4px 4px;
  z-index: 10;
}
.choose-rating .choose__body__item {
  width: 100%;
  position: relative;
  padding: 20px 16px;
  cursor: pointer;
  border-bottom: 1px solid #ecf0f4;
}
.choose-rating .choose__body__item input {
  display: none;
}
.choose-rating .choose__body__item:last-child {
  border-bottom: 0;
}
.all-providers-tariffs-cards {
  display: flex;
  width: 100%;
  background: var(--color-white);
  box-shadow: 0px 0px 36px #e3e4ee;
  border-radius: 6px;
  padding: 15px 38px 20px 40px;
  margin-bottom: 19px;
}
.all-providers-tariffs:last-child {
  margin-right: 0;
}
.all-providers-tariffs-cards__left {
  margin-right: 30px;
}
.all-providers-tariffs-cards__left__img {
  position: relative;
  width: 80px;
  height: 80px;
  border: 1px solid #ecf0f4;
  border-radius: 50%;
}
.all-providers-tariffs-cards__left__img img {
  position: absolute;
  top: 50%;
  right: 50%;
  transform: translate(50%, -50%);
}
.all-providers-tariffs-cards__center {
  margin-right: 92px;
}
.all-providers-tariffs-cards__center__text {
  margin-bottom: 15px;
}
.all-providers-tariffs-cards__center__text h3 {
  padding-top: 15px;
  font-size: 18px;
  font-weight: 500;
  line-height: 24px;
  margin-bottom: 21px;
}
.all-providers-tariffs-cards__center__text p {
  font-size: 14px;
  font-weight: 500;
}
.all-providers-tariffs-cards__center__text span {
  font-size: 24px;
  font-weight: 600;
}
.all-providers-tariffs-cards__center ul {
  display: flex;
}
.all-providers-tariffs-cards__center ul > li {
  font-size: 14px;
  font-weight: 400;
  line-height: 17px;
  color: var(--color-text-gray1);
}
.all-providers-tariffs-cards__right {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  justify-content: space-between;
  text-align: end;
  flex-shrink: 1;
  flex-grow: 1;
}
.all-providers-tariffs-cards__right .flex {
  justify-content: flex-end;
}
.all-providers-tariffs-cards__right h3 {
  font-size: 18px;
  font-weight: 500;
  line-height: 23px;
  color: var(--color-text-black);
}
.all-providers-tariffs-cards__right__stars {
  margin-left: 9px;
  margin-bottom: 4px;
}
.all-providers-tariffs-cards__right__rating a {
  display: inline-block;
  cursor: pointer;
  font-size: 12px;
  font-weight: 400;
  line-height: 16px;
  color: var(--color-text-gray2);
}
.all-providers-tariffs-cards-btn {
  max-width: 216px;
  width: 100%;
  background: var(--color-blue-button);
  color: var(--color-white);
  display: inline-block;
  text-align: center;
  cursor: pointer;
  font-size: 16px;
  font-weight: 700;
  line-height: 22px;
  padding: 13px 0;
  border-radius: 4px;
  transition: all 0.3s ease;
}
.all-providers-tariffs-cards-btn:hover {
  background: var(--color-blue-hover-button);
}
.all-providers-tariffs-more {
  position: relative;
  text-align: end;
  align-items: center;
}
.providers-house .all-providers-tariffs-more {
  text-transform: uppercase;
}
.all-providers-tariffs-more::after {
  content: url(/img/providers/arrow_down.png);
  position: absolute;
  right: 0;
  transition: 0.7s ease;
}
.all-providers-tariffs-more a {
  display: inline-block;
  font-size: 14px;
  font-weight: 500;
  color: var(--color-text-gray1);
  text-align: end;
  margin-right: 20px;
}
/* ------slider-choose------------------------- */
.slider-choose {
  margin-top: 25px;
  margin-bottom: 15px;
}
.slider-choose__speed p,
.slider-choose__pay p {
  font-size: 12px;
  font-weight: 400;
  line-height: 16px;
  margin-bottom: 10px;
}
.slider-choose__pay {
  margin-top: 27px;
}
.slider-choose-container input {
  width: 100%;
}

.slider {
  -webkit-appearance: none;
  width: 100%;
  height: 7px;
  background: var(--color-white);
  border-radius: 8px;
  outline: none;
  -webkit-transition: 0.2s;
  transition: opacity 0.2s;
}
.slider::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  position: relative;
  width: 25px;
  height: 25px;
  background: var(--color-white);
  border-radius: 50px;
  cursor: pointer;
}

.slider::-moz-range-thumb {
  width: 25px;
  height: 25px;
  cursor: pointer;
}
.slider-choose-lable {
  display: flex;
  justify-content: space-between;
  margin-top: 4px;
}
.slider-choose-lable__flex {
  display: flex;
  font-size: 12px;
  font-weight: 400;
  line-height: 16px;
  margin-top: 4px;
}
.slider-choose-lable__flex span {
  margin-right: 5px;
}
.calculator-adapt {
  display: none;
}

.calculator__found-tariffs {
  font-size: 18px;
  font-weight: 400;
  line-height: 22px;
  margin-top: 4px;
  margin-bottom: 21px;
}
.calculator__btn {
  display: inline-block;
  width: 100%;
  font-family: "Open Sans", sans-serif;
  font-size: 16px;
  font-weight: 700;
  line-height: 22px;
  color: var(--color-white);
  background: var(--color-blue-button);
  border-radius: 4px;
  text-align: center;
  padding: 10px 0;
}

.cards-mobile {
  display: none;
}
.cards-mobile-container {
  display: flex;
  justify-content: center;
}
.cards-mobile__left-item {
  width: 272px;
  /* height: 294px; */
  background: var(--color-white);
  box-shadow: 0px 4px 32px rgba(122, 127, 175, 0.25);
  border-radius: 5px;
  padding: 21px 24px 16px;
  margin-bottom: 20px;
  margin-right: 20px;
}
.cards-mobile__left-item__top {
  display: flex;
}
.cards-mobile__img {
  position: relative;
  width: 80px;
  height: 80px;
  border: 1px solid #ecf0f4;
  border-radius: 50%;
  margin-right: 16px;
}
.cards-mobile__img img {
  position: absolute;
  top: 50%;
  right: 50%;
  transform: translate(50%, -50%);
}
.cards-mobile__left-item__top__rating-text {
  font-size: 18px;
  font-weight: 500;
  line-height: 24px;
  padding-top: 17px;
}
.cards-mobile__left-item__top__rating-stars {
  margin-left: 9px;
  margin-bottom: 4px;
}
.cards-mobile__left-item__top__rating .flex h3 {
  font-weight: 500;
}
.cards-mobile__left-item__middle {
  display: flex;
  justify-content: center;
  margin-top: 9px;
  margin-bottom: 27px;
}
.cards-mobile__left-item__middle-item {
  text-align: center;
  margin-right: 44px;
}
.cards-mobile__left-item__middle-item:last-child {
  margin-right: 0;
}
.cards-mobile__left-item__middle-item p {
  margin-top: 10px;
  font-size: 16px;
}
.cards-mobile__left-item__middle-item p > span:nth-child(1) {
  font-size: 24px;
  font-weight: 600;
}
.cards-mobile__left-item__middle-item p > span:nth-of-type(2) {
  font-size: 16px;
  color: var(--color-text-gray3);
}
.cards-mobile__left-item__bottom-icon {
  position: relative;
  width: 52px;
  height: 40px;
  border: 1px solid var(--color-blue-button);
  border-radius: 4px;
  margin-right: 9px;
}
.cards-mobile__left-item__bottom-icon img,
.cards-mobile__right-item img,
.calculator-adapt img {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}
.cards-mobile__left-item__bottom {
  display: flex;
  margin-bottom: 8px;
}
.cards-mobile__left-item__bottom-btn a {
  width: 163px;
  background: var(--color-blue-button);
  color: var(--color-white);
  display: inline-block;
  text-align: center;
  cursor: pointer;
  font-size: 14px;
  font-weight: 700;
  line-height: 20px;
  padding: 10px 0;
  border-radius: 4px;
  transition: all 0.3s ease;
}
.cards-mobile__left-item__bottom-btn a:hover {
  background: var(--color-blue-hover-button);
}
.cards-mobile__left-item__more {
  text-align: center;
  font-size: 14px;
  font-weight: 600;
  color: var(--color-text-gray3);
}
.cards-mobile__right-item,
.calculator-adapt {
  position: relative;
  width: 52px;
  height: 55px;
  background: var(--color-yellow);
  border-radius: 4px;
}
.cards-mobile-more {
  margin-bottom: 25px;
  font-size: 12px;
  font-weight: 500;
  color: var(--color-text-gray1);
}
.cards-mobile-more {
  max-width: 160px;
  width: 100%;
  position: relative;
  margin: 0 auto;
}
.cards-mobile-more::after {
  content: url(/img/providers/arrow_down.png);
  position: absolute;
  right: -5px;
  transition: 0.7s ease;
}
